Need some help with 1.8.0 beta6
#1
I've been trying to set up a 1.8.0 beta 6 civcraft server, but having some issues. I initially had some trouble with a few plugins, but I was able to fix it by upgrading them. currently using the 1.8.0 beta six obviously, along with:

spigot 1.11 
custommobs-4.17
dynamap-2.4
the civ-dynama
the newest version of herochat for 1.11 (5.6.5 re-up I believe)
titleapi-1.7.6 [had to uypgrade that over the included one, since it wasn't initializing
vanishnopacket (3.20)
valut 1.4.1
worldborder (1.8.7, it's listed as 1.12, but the spigot 1.11.x compatibility lists it as compatible)
worldedit-bukkit-6.1.5
and worldguard 6.2

The issue I'm having is that I can't seem to connect to the my sql servers, I've gone through and set up the databases and account to access them through the workbench, as well as disabled ssl, since it's local only for the database and I thought that might be an issue. but it won't connect I get this error:

[02:42:23 WARN]: java.sql.SQLException: Unable to open a test connection to the given database. JDBC url = jdbc:mysql://127.0.0.1:3306/game, username = root. Terminating connection pool (set lazyInit to true if you expect to start your database after your app). Original Exception: ------

com.mysql.jdbc.exceptions.jdbc4.MySQLNonTransientConnectionException: Could not create connection to database server.

[I'm using root, because it's all local, and I tried the specific account I made for civcraft but got the same error.]

The only thing I can think of is that I'm using my sql 8 CE (the newest ce), is there a version requirement for a successful connection?
Reply
#2
I would like to add that get the same error.

I have tried 1.11.2 Spigot; only with the provides Data from Version 1.76
I also have installed 8.0.6 MySQL
Reply
#3
Okay, now i know WIn10 and My SQL does not work with Win7 x64 everything worked fine.

Now my SQL is hosted on linux ;-)
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)